Part Point/it: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Docnav/it |Ellisse |Linea |Part |IconL=Part_Ellipse.svg |IconR=Part_Line.svg |IconC=Workbench_Part.svg }}")
No edit summary
Line 10: Line 10:
}}
}}


{{GuiCommand/it
<div class="mw-translate-fuzzy">
|Name=Part_Point
{{GuiCommand/it|Name=Part_Point|Name/it=Punto|MenuLocation=Parte → [[Part_CreatePrimitives/it|Crea primitive]] → Punto|Workbenches=[[Part_Workbench/it|Parte]]|SeeAlso=[[Part CreatePrimitives/it|Crea primitive]]}}
|Name/it=Part Punto
</div>
|MenuLocation=Parte → [[Part_Primitives/it|Crea primitive]] → Punto
|Workbenches=[[Part_Workbench/it|Part]], [[OpenSCAD_Workbench/it|OpenSCAD]]
|SeeAlso=[[Part_Primitives/it|Part Primitive]]
}}


== Description ==
== Description ==

Revision as of 19:43, 6 January 2024

Part Punto

Posizione nel menu
Parte → Crea primitive → Punto
Ambiente
Part, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Part Primitive

Description

Descrizione

Una primitiva geometrica Punto (vertice).

Utilizzo

See Part Primitives.

Properties

See also: Property editor.

A Part Point object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • DatiX (Distance): The X coordinate of the point. The default is 0mm.
  • DatiY (Distance): The Y coordinate of the point. The default is 0mm.
  • DatiZ (Distance): The Z coordinate of the point. The default is 0mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Point can be created with the addObject() method of the document:

point = FreeCAD.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where "myPoint" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

point = doc.addObject("Part::Vertex", "myPoint")
point.X = 1
point.Y = 2
point.Z = 3

doc.recompute()